%define major	1
%define libname	%mklibname %{name}_ %{major}
%define develname %mklibname %{name} -d
%define enable_mmx 0
%{?_with_mmx: %global enable_mmx 1}

Name:		imlib2
Version:	1.4.9
Release:	%mkrel 1
Summary:	Powerful image loading and rendering library
License:	Imlib2
URL:		http://sourceforge.net/projects/enlightenment/
Group:		System/Libraries
# Same as upstream tarball except the copyright-breaking /data/fonts
# subdirectory is entirely removed - AdamW 2008/03
Source0:	http://sourceforge.net/projects/enlightenment/files/imlib2-src/%{version}/%{name}-%{version}.tar.bz2
# Drop data/fonts from the build, it only contains copyright-
# infringing fonts - AdamW 2008/03 (#38258)
Patch0:		imlib2-1.4.2-fontclean.patch
BuildRequires:	freetype2-devel
BuildRequires:	jpeg-devel
BuildRequires:	png-devel
BuildRequires:	libtiff-devel
BuildRequires:	giflib-devel
BuildRequires:	libx11-devel 
BuildRequires:	libxext-devel
BuildRequires:	id3tag-devel
BuildRequires:	bzip2-devel

%description
Imlib2 is an advanced replacement library for libraries like libXpm that
provides many more features with much greater flexibility and speed than
standard libraries, including font rasterization, rotation, RGBA space
rendering and blending, dynamic binary filters, scripting, and more.

Build Options:
--with mmx      Enable mmx cpu detection (10% - 30% speedup)

%package -n	%{libname}
Summary:	Powerful image loading and rendering library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Requires:	%{libname}-filters = %{version}-%{release}
Requires:	%{libname}-loaders = %{version}-%{release}

%description -n	%{libname}
Imlib2 is an advanced replacement library for libraries like libXpm that
provides many more features with much greater flexibility and speed than
standard libraries, including font rasterization, rotation, RGBA space
rendering and blending, dynamic binary filters, scripting, and more.


%package -n	%{develname}
Summary:	Imlib2 headers, static libraries and documentation
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
# (tv) only ever released major was 1, so keep smooth upgrading for old distro in future releases:
Obsoletes:  %mklibname %{name}_ 1 -d

%description -n	%{develname}
Imlib2 is an advanced replacement library for libraries like libXpm that
provides many more features with much greater flexibility and speed than
standard libraries, including font rasterization, rotation, RGBA space
rendering and blending, dynamic binary filters, scripting, and more.

This package contains various headers and static libraries for %{name}.
You need this package if you want to compile or develop any applications
that need %{name}.


%package -n	%{libname}-filters
Summary:	Imlib2 basic plugin filters set
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libname}-filters
This package contains Imlib2 basic set of plugin filters.


%package -n	%{libname}-loaders
Summary:	Imlib2 loader for various graphic formats
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libname}-loaders
This package contains Imlib2 image loader/saver for various graphic formats,
such as jpeg, gif, tiff, xpm etc.

%package data
Summary:	Imlib2 data
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description data
This package contains Imlib2 data.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure2_5x --disable-static \
%if %enable_mmx
	--enable-mmx=yes \
%else
	--enable-mmx=no \
%endif

%make

%install
%makeinstall_std

# remove files not bundled
find %{buildroot} -name *.la | xargs rm

%multiarch_binaries %{buildroot}%{_bindir}/imlib2-config

%files -n %{libname}
%defattr(-,root,root,0755)
%doc AUTHORS README COPYING
%{_libdir}/lib*.so.*

%files -n %{develname}
%defattr(-,root,root,0755)
%doc AUTHORS README COPYING ChangeLog doc/index.html doc/imlib2.gif doc/blank.gif
%{_bindir}/*
%multiarch %{_bindir}/imlib2-config
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*

%files -n %{libname}-filters
%doc AUTHORS README COPYING
%{_libdir}/%{name}/filters

%files -n %{libname}-loaders
%doc AUTHORS README COPYING
%{_libdir}/%{name}/loaders

%files data
%doc AUTHORS README COPYING
%{_datadir}/%{name}


%changelog
* Mon May 09 2016 luigiwalser <luigiwalser> 1.4.9-1.mga6
+ Revision: 1011781
- 1.4.9
- remove upstream patches

* Fri Apr 15 2016 luigiwalser <luigiwalser> 1.4.8-2.mga6
+ Revision: 1002776
- add more upstream patches, including fix for CVE-2016-4024

* Mon Apr 11 2016 luigiwalser <luigiwalser> 1.4.8-1.mga6
+ Revision: 1000283
- 1.4.8
- add upstream patches to fix security issues, including:
  - CVE-2016-3993
  - CVE-2016-3994
  - CVE-2011-5326

* Thu Jan 07 2016 luigiwalser <luigiwalser> 1.4.7-2.mga6
+ Revision: 920395
- rebuild for giflib

* Thu Sep 24 2015 tv <tv> 1.4.7-1.mga6
+ Revision: 883249
- drop merged patch
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.4.6-4.mga5
+ Revision: 739495
- Second Mageia 5 Mass Rebuild

* Mon Oct 06 2014 danf <danf> 1.4.6-3.mga5
+ Revision: 737043
- Added config-my_libs.patch to fix broken output of imlib2-config --libs

* Tue Sep 16 2014 umeabot <umeabot> 1.4.6-2.mga5
+ Revision: 680493
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 pterjan <pterjan> 1.4.6-1.mga5
+ Revision: 671291
- 1.4.6

  + tv <tv>
    - new release
    - fix URL

* Sat Oct 19 2013 umeabot <umeabot> 1.4.5-6.mga4
+ Revision: 526015
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 1.4.5-5.mga4
+ Revision: 435511
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 1.4.5-4.mga3
+ Revision: 354345
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 1.4.5-3.mga3
+ Revision: 339202
- patch5: fix build with automake 1.13

* Fri Dec 23 2011 fwang <fwang> 1.4.5-2.mga2
+ Revision: 186408
- rebuild for new libtiff
- br bzip2

* Sat Sep 10 2011 fwang <fwang> 1.4.5-1.mga2
+ Revision: 142198
- new version 1.4.5
- rebuild for new libpng

* Sat Jan 15 2011 mikala <mikala> 1.4.4-1.mga1
+ Revision: 18489
- Drop mdk macros
- Remove BuildRoot
- imported package imlib2

